/*
 *  Remodal - v1.0.3
 *  Responsive, lightweight, fast, synchronized with CSS animations, fully customizable modal window plugin with declarative configuration and hash tracking.
 *  http://vodkabears.github.io/remodal/
 *
 *  Made by Ilya Makarov
 *  Under MIT License
 */

/* ==========================================================================
   Remodal's default mobile first theme
   ========================================================================== */

/* Default theme styles for the background */

/* .remodal-bg.remodal-is-opening,
.remodal-bg.remodal-is-opened {
   -webkit-filter: blur(4px);
           filter: blur(4px); 
}
 */

/* Default theme styles of the overlay */

.remodal-overlay {/*
  background: hsla(0, 0%, 0%, .9);*/
  background: hsla(240, 43%, 14%, .95);
}
.remodal-overlay.remodal-is-opening,
.remodal-overlay.remodal-is-closing {
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}
.remodal-overlay.remodal-is-opening {
  -webkit-animation: remodal-overlay-opening-keyframes 0.3s;
  animation: remodal-overlay-opening-keyframes 0.3s;
}
.remodal-overlay.remodal-is-closing {
  -webkit-animation: remodal-overlay-closing-keyframes 0.3s;
  animation: remodal-overlay-closing-keyframes 0.3s;
}
/* Default theme styles of the wrapper */

.remodal-wrapper {
  padding: 0px 0px 0;
}
/* Default theme styles of the modal dialog */

.remodal {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  margin-top: .65em;
  margin-bottom: 10px;
  /* padding: .35rem;  */
  -webkit-border-radius: 1rem;
  border-radius: 1rem;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  color: #000;
  background-color: #fff;
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0 7px 12px rgba(0, 0, 0, .5);
}
.remodal--video {
  padding-top: 1rem;
  background-color: #000;
  -webkit-border-radius: 0px;
  border-radius: 0px;
  background-color: transparent;
  box-shadow: none;
  width: 96%;
}
.remodal.remodal-is-opening,
.remodal.remodal-is-closing {
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}
.remodal.remodal-is-opening {
  -webkit-animation: remodal-opening-keyframes 0.3s;
  animation: remodal-opening-keyframes 0.3s;
}
.remodal.remodal-is-closing {
  -webkit-animation: remodal-closing-keyframes 0.3s;
  animation: remodal-closing-keyframes 0.3s;
}
/* 
.signup-modal{
  padding: 0;
} */

/* Vertical align of the modal dialog */

.remodal,
.remodal-wrapper:after {
  vertical-align: middle;
}
/* Close button */

.remodal-close {
  position: absolute;
  top: 0;
  right: 2.25rem;
  display: block;
  overflow: visible;
  /* width: 2rem;
  height: 2rem; */
  margin: 0;
  padding: 0;
  cursor: pointer;
  -webkit-transition: color 0.2s;
  transition: color 0.2s;
  text-decoration: none;
  border: 0;
  outline: 0;
  background: transparent;
  box-shadow: none;
  text-align: center;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  z-index: 999999;
}
.remodal--video .remodal-close {
  right: 1.5rem;
  top: -1rem;
}
.remodal .modal-top {
  /* background-color: #232528; */
  border-bottom: 1px solid #d3d0d5;
}
.remodal-close {
  font-family: "rpm-icon-font" !important;
}
.remodal-close:hover,
.remodal-close:focus {
  color: #fff;
  background-color: #ee4266;
}
.remodal-close:before {
  /* font-family: Arial, "Helvetica CY", "Nimbus Sans L", sans-serif !important;  */
  font-family: Garamond, "Apple Garamond";
  font-size: 2rem;
  line-height: 35px;
  position: absolute;
  top: .1em;
  right: -.85em;
  display: block;
  font-style: normal;
  content: "\00d7";
  text-align: center;
  font-weight: 400;
  color: #aeb7b3;
}
.remodal-close:hover:before {
  color: hsl(0, 0%, 70%);
  -webkit-transition: 200ms color ease-in-out;
  transition: 200ms color ease-in-out;
}
.remodal-vid .remodal-close {
  /* font-family: Arial, "Helvetica CY", "Nimbus Sans L", sans-serif !important; */
  top: -1.75em;
  right: 1.25em;
}
.remodal-vid .remodal-close::before {
  font-size: 3rem;
  font-weight: 100;
}
.modal-body {
  padding: 2rem 2.5rem 2rem;
}
.no-padding .modal-body {
  padding: 0;
}
.remodal-vid .modal-body {
  background-color: transparent;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}
.remodal-vid .modal-body,
.subscribe-modal .modal-body {
  padding: 0
}
/* Dialog buttons */

.remodal-confirm,
.remodal-cancel {
  font: inherit;
  display: inline-block;
  overflow: visible;
  min-width: 110px;
  margin: 0;
  padding: 12px 0;
  cursor: pointer;
  -webkit-transition: background 0.2s;
  transition: background 0.2s;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  border: 0;
  outline: 0;
}
.remodal-confirm {
  color: #fff;
  background: #81c784;
}
.remodal-confirm:hover,
.remodal-confirm:focus {
  background: #66bb6a;
}
.remodal-cancel {
  color: #fff;
  background: #e57373;
}
.remodal-cancel:hover,
.remodal-cancel:focus {
  background: #ef5350;
}
/* Remove inner padding and border in Firefox 4+ for the button tag. */

.remodal-confirm::-moz-focus-inner,
.remodal-cancel::-moz-focus-inner,
.remodal-close::-moz-focus-inner {
  padding: 0;
  border: 0;
}
/* Keyframes
   ========================================================================== */

@-webkit-keyframes remodal-opening-keyframes {
  from {
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
    opacity: 0;
  }
  to {
    -webkit-transform: none;
    transform: none;
    opacity: 1;
  }
}
@keyframes remodal-opening-keyframes {
  from {
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
    opacity: 0;
  }
  to {
    -webkit-transform: none;
    transform: none;
    opacity: 1;
  }
}
@-webkit-keyframes remodal-closing-keyframes {
  from {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
  to {
    -webkit-transform: scale(0.95);
    transform: scale(0.95);
    opacity: 0;
  }
}
@keyframes remodal-closing-keyframes {
  from {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
  to {
    -webkit-transform: scale(0.95);
    transform: scale(0.95);
    opacity: 0;
  }
}
@-webkit-keyframes remodal-overlay-opening-keyframes {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes remodal-overlay-opening-keyframes {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@-webkit-keyframes remodal-overlay-closing-keyframes {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}
@keyframes remodal-overlay-closing-keyframes {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}
/* Media queries
   ========================================================================== */

@media all and (max-width: 48em) {
  .remodal-close {
    /*  right: 6.5%; */
  }
}
@media all and (max-width: 37em) {
  .remodal-close:before {
    /* font-size: 3rem; */
  }
  /* .remodal-close{
    right: 2rem;
  } */
}
@media all and (max-width: 27em) {
  .remodal-close {
    top: 0;
    /* right: 8.5%; */
  }
}
@media all and (max-width: 26em) {
  .voucher-code-modal .modal-body {
    padding: 1.5rem 2rem 1.25rem
  }
}
@media all and (max-width: 25em) {
  .remodal-close {
    right: 2rem;
    top: -.4rem;
  }
  .remodal-close::before {
    /* font-size: 1.25em; */
  }
}
/* IE8
   ========================================================================== */

.lt-ie9 .remodal-overlay {
  background: #2b2e38;
}
.lt-ie9 .remodal {
  width: 700px;
}
@media (prefers-color-scheme: dark) {
  .remodal {
    background-color: var(--primary-II-light-900);
  }
  .remodal-terms {
    background-color: hsl(0, 0%, 42%)
  }
}